classification
Title: Calling code cleanup after PEP 590
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Evita Cano, Mark.Shannon, inada.naoki, jdemeyer, petr.viktorin, shafiq sahil
Priority: normal Keywords: patch

Created on 2019-06-04 14:40 by jdemeyer, last changed 2019-09-11 13:35 by petr.viktorin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13340 merged jdemeyer, 2019-06-04 14:47
PR 13864 merged jdemeyer, 2019-06-06 13:18
PR 13972 merged jdemeyer, 2019-06-11 12:21
PR 14269 merged jdemeyer, 2019-06-20 14:26
PR 14603 merged jdemeyer, 2019-07-05 14:53
PR 14684 merged jdemeyer, 2019-07-10 12:03
Messages (9)
msg344577 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-06-04 14:40
Now that PEP 590 has been implemented, a lot of old code can be cleaned up. In particular:

- get rid of _PyMethodDef_RawFastCallXXX() functions and replace them by vectorcall functions for each calling convention
- get rid of FastCallDict() implementations for specific types, but keep the generic _PyObject_FastCallDict()
- get rid of some specific tp_call implementations: try to use tp_call=PyVectorcall_Call in more places
msg344920 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-06-07 10:20
New changeset 3f345c39255dc3823dd989d4e3c93b12d18c44e0 by Petr Viktorin (Jeroen Demeyer) in branch 'master':
bpo-37151: simplify classmethoddescr_call (GH-13340)
https://github.com/python/cpython/commit/3f345c39255dc3823dd989d4e3c93b12d18c44e0
msg345964 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-18 08:50
New changeset c78fe320dbb0da3412d640797eb850753d45c07b by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37151: use PyVectorcall_Call for all calls of "method" (GH-13972)
https://github.com/python/cpython/commit/c78fe320dbb0da3412d640797eb850753d45c07b
msg345981 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-18 11:06
New changeset 59543347d12a7717235f941e7fd363d4df92984a by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37151: remove _PyFunction_FastCallDict (GH-13864)
https://github.com/python/cpython/commit/59543347d12a7717235f941e7fd363d4df92984a
msg345982 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-06-18 11:12
All PRs currently on this issue have been merged, but this is not finished yet. I'm mainly waiting for a resolution on PR 13781 because that's a big change which needs to be done before further cleanup.
msg346126 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-20 15:38
New changeset 7e1a9aacff95c68d284f31666fe293fa2db5406d by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37151: remove _PyCFunction_FastCallDict (GH-14269)
https://github.com/python/cpython/commit/7e1a9aacff95c68d284f31666fe293fa2db5406d
msg347359 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-07-05 15:43
New changeset 7b57c03a7cb63ccfb2b8dfa82a1bf169268d80ba by Petr Viktorin (Jeroen Demeyer) in branch 'master':
bpo-37151: remove _PyMethodDef_RawFastCall* functions (GH-14603)
https://github.com/python/cpython/commit/7b57c03a7cb63ccfb2b8dfa82a1bf169268d80ba
msg351818 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-09-11 11:01
New changeset 7a6873cdb1f496447ac5d57ae457eacbb56b7972 by Petr Viktorin (Jeroen Demeyer) in branch 'master':
bpo-37151: remove special case for PyCFunction from PyObject_Call (GH-14684)
https://github.com/python/cpython/commit/7a6873cdb1f496447ac5d57ae457eacbb56b7972
msg351869 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-09-11 13:35
All linked PRs are merged, so I'm closing this. Feel free to reopen if there's more!
History
Date User Action Args
2019-09-11 13:35:40petr.viktorinsetstatus: open -> closed
resolution: fixed
messages: + msg351869

stage: patch review -> resolved
2019-09-11 11:01:04petr.viktorinsetmessages: + msg351818
2019-07-10 12:03:43jdemeyersetpull_requests: + pull_request14490
2019-07-05 15:43:46petr.viktorinsetmessages: + msg347359
2019-07-05 14:53:22jdemeyersetpull_requests: + pull_request14418
2019-06-20 15:38:53inada.naokisetmessages: + msg346126
2019-06-20 14:26:13jdemeyersetpull_requests: + pull_request14095
2019-06-18 11:12:08jdemeyersetmessages: + msg345982
2019-06-18 11:06:00inada.naokisetmessages: + msg345981
2019-06-18 08:50:31inada.naokisetnosy: + inada.naoki
messages: + msg345964
2019-06-11 12:21:05jdemeyersetpull_requests: + pull_request13839
2019-06-10 10:49:33xtreaksetmessages: - msg345119
2019-06-10 10:31:43shafiq sahilsetnosy: + shafiq sahil
messages: + msg345119
2019-06-07 20:30:25Evita Canosetnosy: + Evita Cano
2019-06-07 10:20:38petr.viktorinsetmessages: + msg344920
2019-06-06 13:18:22jdemeyersetpull_requests: + pull_request13740
2019-06-04 14:47:10jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request13694
2019-06-04 14:40:44jdemeyercreate